Skip to main content
Use this endpoint to add an existing application to a workspace. Once linked, all workspace members can access and manage the application according to their assigned permission group. The application must already exist in your account — use the application’s ID, which you can find in the URL of its dashboard.

Request

POST https://api.virtuscloud.app/v2/workspaces/applications

Headers

Authorization
string
required
Your Virtus Cloud API key. Pass it directly as the header value — no prefix required.Example: Authorization: vc_live_xxxxxxxxxxxx

Body

workspaceId
string
required
The unique identifier of the workspace to add the application to.
appId
string
required
The unique identifier of the application you want to add. You can find this ID in the URL of the application’s Virtus Cloud dashboard.

Response

status
string
Returns "success" when the application is linked to the workspace successfully.

Examples

curl -X POST https://api.virtuscloud.app/v2/workspaces/applications \
  -H "Authorization: <api_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "workspaceId": "dcedcd13d7e272a7b32a70f6a1d180f23c12d759",
    "appId": "446b0b4118634a1c99e73bac9a54e475"
  }'

Response Example

{
  "status": "success"
}